import {
  storiesOf, html, withKnobs,
  text, select,
} from '@open-wc/demoing-storybook';

/* Components */
import '..';
import readme from '../README.md';

storiesOf('Widgets|Allocation Graph', module)
  .addDecorator(withKnobs)
  .add(
    'Default',
    () => html`
      <allocation-graph
        .deviceId=${text('deviceId', '10001')}
        .direction=${select('direction', ['usage', 'delivery'], 'delivery')}
      ></allocation-graph>
    `,
    {
      notes: {
        markdown: readme,
      },
      options: {
        selectedPanel: 'storybooks/knobs/panel',
      },
    },
  );
